<?php
// not logged in or just a member...
if (empty($_SESSION['SID_user']['admin'])) {
    $GLOBALS['navigation']['Login'] = array(
        'caption'=>'Login',
        'url'=>BASE_REL.'_admin/login.php'
    );

    if ($GLOBALS['cpoSystem']['send_pw']) {
        $GLOBALS['navigation']['Reset password'] = array(
            'caption'=>'Reset password',
            'url'=>BASE_REL.'_admin/reset_password.php'
        );
    }
}

if (!empty($_SESSION['SID_user']['admin'])) {
    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>'create rubric',
            'url'=>BASE_REL.'_admin/rubrics.php?action=rubrics_create'
        );
    }

    $GLOBALS['navigation']['Rubrics'][] = array(
        'caption'=>'list rubrics',
        'url'=>BASE_REL.'_admin/rubrics.php'
    );

    $GLOBALS['navigation']['Rubrics'][] = 'space';

    if (!empty($_SESSION['SID_rubric_id'])) {
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>'preview rubric',
            'url'=>BASE_REL.'_admin/preview.php',
            'target'=>'_blank'
        );
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>'show rubric',
            'url'=>BASE_REL.urlencode($_SESSION['SID_rubric_directory']).'/index.php?rubric='.(int)$_SESSION['SID_rubric_id'],
            'target'=>'_blank'
        );
    } else {
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>'preview rubric',
            'title'=>'Please choose a rubric first.'
        );
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>'show rubric',
            'title'=>'Please choose a rubric first.'
        );
    }

    $GLOBALS['navigation']['Rubrics'][] = 'space';

    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['Rubrics'][] = array(
            'caption'=>'work on navigation',
            'url'=>BASE_REL.'_admin/navigation.php'
        );
    }

    // create article
    if (isset($_SESSION['SID_stufe1']) && $_SESSION['SID_stufe1']) {
        $GLOBALS['navigation']['Articles'][] = array(
            'caption'=>'create article',
            'url'=>BASE_REL.'_admin/articles.php?action=articles_create'
        );
    } else if (!empty($_SESSION['SID_rubric_id'])) {
        $GLOBALS['navigation']['Articles'][] = array(
            'caption'=>'create article',
            'title'=>'You are not allowed to edit articles in this rubric.'
        );
    } else {
        // no rubric was chosen, so no editing...
        $GLOBALS['navigation']['Articles'][] = array(
            'caption'=>'create article',
            'title'=>'Please choose a rubric first.'
        );
    }

    if (isset($_SESSION['SID_stufe2']) && $_SESSION['SID_stufe2']) {
        // access allowed
        $GLOBALS['navigation']['Articles'][] = array(
            'caption'=>'work on articles',
            'url'=>BASE_REL.'_admin/articles.php'
        );
    } else if (!empty($_SESSION['SID_rubric_id'])) {
        // access not allowed
        $GLOBALS['navigation']['Articles'][] = array(
            'caption'=>'work on articles',
            'title'=>'You are not allowed to work on articles in this rubric.'
        );
    } else {
        // no rubric was chosen, so no editing...
        $GLOBALS['navigation']['Articles'][] = array(
            'caption'=>'work on articles',
            'title'=>'Please choose a rubric first.'
        );
    }

    // restore articles
    if ($_SESSION['SID_user']['admin']>=ROLE_CHIEFEDITOR) {
        if (!empty($_SESSION['SID_rubric_id'])) {
            $GLOBALS['navigation']['Articles'][] = array(
                'caption'=>'restore articles',
                'url'=>BASE_REL.'_admin/articles.php?action=articles_restore'
            );
        } else {
            // no rubric was chosen, so no editing...
            $GLOBALS['navigation']['Articles'][] = array(
                'caption'=>'restore articles',
                'title'=>'Please choose a rubric first.'
            );
        }
    }

    // editors might want to check all articles that need to be released
    if ($GLOBALS['cpoSystem']['release'] && $_SESSION['SID_user']['admin']>=ROLE_EDITOR) {
        $query = "SELECT COUNT(*) FROM ".CPO_PERMISSION." "
                ."WHERE stufe4='1' "
                ."AND user_id='".$_SESSION['SID_user']['id']."'";
        $db = new DB;
        $db->query($query);
        $db->next_record();
            
        $GLOBALS['navigation']['Articles'][] = 'space';

        if ($db->v('COUNT(*)')>0) {
            $GLOBALS['navigation']['Articles'][] = array(
                'caption'=>'release articles',
                'url'=>BASE_REL.'_admin/articles.php?action=articles_release'
            );
        } else {
            $GLOBALS['navigation']['Articles'][] = array(
                'caption'=>'release articles',
                'title'=>'You have no rights to release articles in any rubric.'
            );
        }
    }

    $GLOBALS['navigation']['Files'][] = array(
        'caption'=>'upload files',
        'url'=>BASE_REL.'_admin/upload_files.php'
    );
    $GLOBALS['navigation']['Files'][] = array(
        'caption'=>'work on images',
        'url'=>BASE_REL.'_admin/manage_images.php'
    );
    $GLOBALS['navigation']['Files'][] = array(
        'caption'=>'work on files',
        'url'=>BASE_REL.'_admin/manage_files.php'
    );

    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['Snippets'][] = array(
            'caption'=>'create snippet',
            'url'=>BASE_REL.'_admin/snippets.php?action=snippets_create'
        );
        $GLOBALS['navigation']['Snippets'][] = array(
            'caption'=>'work on snippets',
            'url'=>BASE_REL.'_admin/snippets.php'
        );
    } // if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER)

    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['Templates'][] = array(
            'caption'=>'create article-template',
            'url'=>BASE_REL.'_admin/templates.php?action[]=templates_create'
        );
        $GLOBALS['navigation']['Templates'][] = array(
            'caption'=>'work on article-templates',
            'url'=>BASE_REL.'_admin/templates.php'
        );

    	$GLOBALS['navigation']['Templates'][] = 'space';

        $GLOBALS['navigation']['Templates'][] = array(
            'caption'=>'create page-template',
            'url'=>BASE_REL.'_admin/pagetemplates.php?action[]=pagetemplates_create'
        );
        $GLOBALS['navigation']['Templates'][] = array(
            'caption'=>'work on page-templates',
            'url'=>BASE_REL.'_admin/pagetemplates.php'
        );
    }

    $GLOBALS['navigation']['Users'][] = array(
        'caption'=>'edit personal settings',
        'url'=>BASE_REL.'_admin/users.php?action=users_self_modify&amp;id='.(int)$_SESSION['SID_user']['id']
    );

    $GLOBALS['navigation']['Users'][] = 'space';

    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['Users'][] = array(
            'caption'=>'create user',
            'url'=>BASE_REL.'_admin/users.php?action=users_create'
        );
        $GLOBALS['navigation']['Users'][] = array(
            'caption'=>'work on users',
            'url'=>BASE_REL.'_admin/users.php'
        );
        $GLOBALS['navigation']['Users'][] = array(
            'caption'=>'reactivate users',
            'url'=>BASE_REL.'_admin/users.php?action=users_list_deactivated'
        );

        $GLOBALS['navigation']['Users'][] = 'space';
    }

    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['Users'][] = array(
            'caption'=>'create group',
            'url'=>BASE_REL.'_admin/usergroups.php?action=usergroups_create'
        );
        $GLOBALS['navigation']['Users'][] = array(
            'caption'=>'work on groups',
            'url'=>BASE_REL.'_admin/usergroups.php'
        );
    }

    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['Modules'][] = array(
            'caption'=>'work on modules',
            'url'=>BASE_REL.'_admin/modules.php'
        );

        $GLOBALS['navigation']['Modules'][] = 'space';
    }

    if ($_SESSION['SID_user']['admin']>=ROLE_ADMIN) {
        $GLOBALS['navigation']['System'][] = array(
            'caption'=>'edit system settings',
            'url'=>BASE_REL.'_admin/system_preferences.php'
        );

        $GLOBALS['navigation']['System'][] = 'space';

        // FIXME cleanup database 

        $GLOBALS['navigation']['System'][] = array(
            'caption'=>'export / import',
            'url'=>BASE_REL.'_admin/export.php'
        );

        $GLOBALS['navigation']['System'][] = 'space';
    }

    if ($_SESSION['SID_user']['admin']>=ROLE_CHIEFEDITOR) {
        $GLOBALS['navigation']['System'][] = array(
            'caption'=>'show statistics',
            'url'=>BASE_REL.'_admin/statistic.php'
        );
    }

    if ($_SESSION['SID_user']['admin']>=ROLE_SUPERUSER) {
        $GLOBALS['navigation']['System'][] = array(
            'caption'=>'show logfile',
            'url'=>BASE_REL.'_admin/logfile.php'
        );
    }
} // if (!empty($_SESSION['SID_user']['admin'])) {
?>
