<?php

// simple thumbnailer for CPO+

function make_thumb($src, $desired_width) {

    $size = getimagesize($src);

    $type = $size['mime'];
    $width = $size[0];
    $height = $size[1];

    /* read the source image */
    if ($type=='image/gif')  $source_image = imagecreatefromgif($src); //GIF
    if ($type=='image/jpeg') $source_image = imagecreatefromjpeg($src); //JPG
    if ($type=='image/png')  $source_image = imagecreatefrompng($src); //PNG

    /* find the "desired height" of this thumbnail, relative to the desired width  */
    $desired_height = floor($height * ($desired_width / $width));

    /* create a new, "virtual" image */
    $virtual_image = imagecreatetruecolor($desired_width, $desired_height);

    /* copy source image at a resized size */
    imagecopyresampled($virtual_image, $source_image, 0, 0, 0, 0, $desired_width, $desired_height, $width, $height);

    header('Content-Type: '.$type);

    /* create the physical thumbnail image and send to screen */
    if ($type=='image/gif')  imagegif($virtual_image); //GIF
    if ($type=='image/jpeg') imagejpeg($virtual_image); //JPG
    if ($type=='image/png')  imagepng($virtual_image); //PNG
}

$src= $_GET['imagefile'];
$desired_width= $_GET['size'];
make_thumb($src, $desired_width);
?>
