<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
define('CPO', true);
require_once('../_include/common.inc.php');

$pagetype = 'index';
require(CPO_BASEDIR.'_include/var_category.php');
require(CPO_BASEDIR.'_include/secure.php');

// header and footer mechanism
if ($cpoRubricSettings['pagetemplate_'.$pagetype]==0) {
	if (!is_dir(CPO_BASEDIR.$directory)) exit; // some people try to manipulate the dir, so stop them now!
    include(CPO_BASEDIR.$directory.'/loadheaders.php');
    require(CPO_BASEDIR.'_includesite/i_archive.php');
    include(CPO_BASEDIR.$directory.'/loadfooters.php');
    exit;
}

// fetch pagetemplate from database and build page
$db = new DB;
$db->query('SELECT pagetemplate FROM '.CPO_PAGETEMPLATES.' '
    .'WHERE id='.(int)$cpoRubricSettings['pagetemplate_'.$pagetype].' '
);
$db->next_record();
$pageTemplate = $db->v('pagetemplate');
$pagetype = 'archive';
require CPO_BASEDIR.'_include/buildpage.inc.php';
